﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.IO;
using System.Data;
using System.Drawing;
using System.Data.SqlClient;
namespace Image_Database_PictureBox_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            string constr = @"Data Source=.\SQL2014;Initial Catalog=dbFiles;Integrated Security=true";
            using (SqlConnection conn = new SqlConnection(constr))
            {
                using (SqlDataAdapter sda = new SqlDataAdapter("SELECT Id, Name FROM tblFiles", conn))
                {
                    DataTable dt = new DataTable();
                    sda.Fill(dt);

                    DataRow row = dt.NewRow();
                    row[0] = 0;
                    row[1] = "Select Image";
                    dt.Rows.InsertAt(row, 0);

                    cmbImages.DataSource = dt;
                    cmbImages.DisplayMember = "Name";
                    cmbImages.ValueMember = "Id";
                }
            }
        }

        private void cmbImages_SelectionChangeCommitted(object sender, EventArgs e)
        {
            string constr = @"Data Source=.\SQL2014;Initial Catalog=dbFiles;Integrated Security=true";
            using (SqlConnection conn = new SqlConnection(constr))
            {
                using (SqlCommand cmd = new SqlCommand("SELECT Data FROM tblFiles WHERE Id = @Id", conn))
                {
                    cmd.Parameters.AddWithValue("@Id", cmbImages.SelectedValue);
                    conn.Open();
                    byte[] bytes = (byte[])cmd.ExecuteScalar();
                    conn.Close();
                    pictureBox1.Image = Image.FromStream(new MemoryStream(bytes));
                }
            }
        }
    }
}
